summaryrefslogtreecommitdiff
path: root/src/scripts/01init.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/scripts/01init.sh')
-rw-r--r--src/scripts/01init.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/src/scripts/01init.sh b/src/scripts/01init.sh
new file mode 100644
index 0000000..6947f6f
--- /dev/null
+++ b/src/scripts/01init.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# make-live - utility to build Debian Live systems
+#
+# Copyright (C) 2006 Daniel Baumann <daniel@debian.org>
+# Copyright (C) 2006 Marco Amadori <marco.amadori@gmail.com>
+#
+# make-live comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+Init ()
+{
+ # Check if user is root
+ if [ "`id -u`" -ne "0" ]
+ then
+ echo "E: ${PROGRAM} requires superuser privilege."
+ exit 1
+ fi
+}